# Class: EmptyConstructorNeedsParens

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/empty_constructor_needs_parens.coffee

## Variables Summary

rule =

      {
        name: 'empty_constructor_needs_parens',
        level: 'ignore',
        message: 'Invoking a constructor without parens and without arguments',
        description: "Requires constructors with no parameters to include the parens"
      }

tokens =

      ['UNARY']

## Instance Method Summary

- # (void) lintToken(token, tokenApi) Return an error if the given indentation token is not correct.
- # (void) handleExpectedCallStart(expectedCallStart)

## Instance Method Details

# (void) lintToken(token, tokenApi)

Return an error if the given indentation token is not correct.

# (void) handleExpectedCallStart(expectedCallStart)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input